{pkgs, ...}:
with pkgs;
  emacsWithPackagesFromUsePackage {
    config = ./init.el;
    package = pkgs.emacs29;

    defaultInitFile = true;

    alwaysEnsure = true;
    alwaysTangle = true;

    extraEmacsPackages = epkgs:
      with epkgs; [
        treemacs
        treemacs-evil
      ];

    override = epkgs:
      epkgs
      // {
        sideline-eglot = callPackage ./extraPackages/sideline-eglot.nix {
          inherit (pkgs) fetchFromGitHub;
          inherit (epkgs) trivialBuild sideline;
        };
      };
  }
